<div ng-controller="RecobroEmpacadoraController">
  <div class="page page-tables-bootstrap">
    <div class="pageheader">
      <div class="page-bar">
        <ul class="page-breadcrumb">
          <li>
            <a ui-sref="admin.dashboard"><i class="fa fa-home"></i> Home</a>
          </li>
          <li>
            <a>Enfunde</a>
          </li>
          <li>
            <a>Recobro</a>
          </li>
          <li>
            <a>Empacadora</a>
          </li>
        </ul>
      </div>
    </div>
    <div class="pagecontent">
      <div class="row">
        <div class="col-md-12">
          <div class="panel">
            <div class="panel-body">
              <div class="row">
                <div class="col-md-5">
                  <span ng-if="semana.color_cinta != '#FFFFFF'" class="label" style="background: {{semana.color_cinta}}"><strong>CINTA : {{semana.nombre_cinta}} / SEMANA : {{semana.semana}}</strong></span>
                  <span ng-if="semana.color_cinta == '#FFFFFF'" class="label" style="background: {{semana.color_cinta}};color: black;border: 1px solid blue"><strong>CINTA :{{semana.nombre_cinta}} - SEMANA : {{semana.semana}}</strong></span>
                </div>
                <div class="col-md-3">
                </div>
                <div class="col-md-4">
                  <div class="pull-right">
                    <a class="btn btn-xs btn-primary btn-rounded-10" ui-sref="admin.enfunde.semana"><i class="fa fa-arrow-left"></i>  Regresar</a>
                  </div>
                </div>
              </div>
            </div>
          </div> 
        </div>
      </div>
      <div class="row">
        <div class="col-md-12">
          <section class="tile" fullscreen="isFullscreen08">
            <div class="tile-header dvd dvd-btm">
              <h1 class="custom-font"><i class="fa fa-list"></i> LISTA DE EMPACADORAS</h1>
            </div>
            <div class="tile-body p-1">
              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <input type="text" class="form-control" ng-model="buscar" placeholder="Buscar Productores">
                  </div>
                </div>
                <div class="col-md-2">
                  
                </div>
                <div class="col-md-4">
                  
                </div>
                <div class="col-md-12">
                  <hr>
                </div>
              </div>

              <div class="row" ng-show="isLoading">
                <div class="col-md-12">
                  <loading></loading>
                </div>
              </div>

              <div class="row" ng-show="!isLoading">
                  <div class="col-md-12">
                    <h5 class="text-right"><strong>CANTIDAD : {{empacadoras.length}} EMPACADORAS</strong></h5>
                  </div>
                  <div class="col-md-12" ng-show="empacadoras.length > 0">
                    <small>
                      <div class="table-responsive">
                        <table class="table table-bordered">
                          <tr style="background:#F2F2F2">
                              <th>EMPACADORA</th>
                              <th class="text-center">PARCELAS</th>
                              <th class="text-center">RECOBRO</th>
                              <th class="text-center" ng-if="semana.is_close==0">AGREGAR</th>
                          </tr>
                          <tbody>
                              <tr dir-paginate="empacadora in empacadoras |filter: buscar | itemsPerPage: 10" pagination-id="empacadora.id">
                                  <td>
                                    {{empacadora.nombre | uppercase}} 
                                  </td>
                                  <td class="text-center" nowrap>{{empacadora.total_parcelas}}</td>
                                  <td class="text-center" nowrap>{{empacadora.racimas_cosechadas}}</td>
                                  <td class="text-center" style="width: 150px;"  ng-if="semana.is_close==0">
                                    <div class="input-group">  
                                      <input type="number" min="0" ng-model="empacadora.racimas_agregar" ng-keypress="enter($event,empacadora)" class="form-control" style="border-right-radius: 0px;">
                                      <span class="input-group-btn"> 
                                        <button class="btn btn-info" ng-click="save(empacadora)" type="button" class="form-control" style="border-right-radius: 4px;">
                                          <i class="icon-plus"></i>
                                        </button>
                                      </span> 
                                    </div>
                                  </td>
                              </tr>
                          </tbody>
                        </table>
                      </div>
                    </small>
                    <div class="text-center">
                      <dir-pagination-controls pagination-id="empacadora.id"></dir-pagination-controls>
                    </div>
                  </div>
                  <div class="col-md-12" ng-show="empacadoras.length == 0">
                    <p class="text-center">
                      <i class="icon-info fa-4x"></i>
                      <h5 class="text-center">no hay empacadoras registradas...</h5>
                    </p>
                  </div>
              </div>

            </div>
            <div class="tile-footer p-1">
              <div class="text-right">
                <span class="text-light" style="font-size: 10px;color: black;font-weight: bold;">&copy; COOPERATIVA AGRARIA APPBOSA / BARRIO NUEVA ESPERANZA S-N / SAMAN - PERÚ </span>
              </div>
            </div>
          </section>
        </div>
      </div>
    </div>
  </div>
  <script  type="text/ng-template" id="empacadora_modal.html">
    <div class="modal-header">
      <div class="text-center">
        <title-modal name="Productor"></title-modal>
      </div>            
    </div>
    <div class="modal-body">

      <form ng-submit="createEdit()">

        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label for="nombre">Nombre</label>
              <input type="text" class="form-control uppercase" name="nombre" ng-model="obj.nombre" placeholder="Nombre" required> 
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-12">
            <div class="form-group">          
              <label for="id_pais">País</label>
              <select class="form-control" name="id_pais" ng-model="obj.id_pais" ng-options="pais.id as pais.nombre for pais in paises" required>
                <option value="">-- SELECCIONE PAÍS --</option>
              </select>
            </div>
          </div>
        </div>

        <div class="form-group">
          <span class="obligatorio">*</span> Campos Obligatorios
        </div>
        
        <div class="text-center">
          <button-save ng-if="!httpRequest"></button-save>
          <button-spin ng-if="httpRequest"></button-spin>
          <button-cancel></button-cancel>
        </div>
      </form>
    </div>
  </script>
  <script  type="text/ng-template" id="empacadora_delete_modal.html">
    <div class="modal-body">

      <form ng-submit="delete()">
        <form-delete></form-delete>
      </form>
    </div>
  </script>
</div>